SDK Installation

🚧

Smartlook API v2.0 released

Smartlook has released API v2.0. The new version consists of an improved API and improvements to stability and performance. Previous versions of the API will continue to be supported, but it is recommended to use Smartlook API v2.0, especially for new users.

For current users to upgrade from v1.0 to v2.0, see the comprehensive Migration guide.

Currently the minimal supported Android version is Jelly Bean (API 18).

Installation

  1. Add Smartlook in your app’s build.gradle:
implementation 'com.smartlook.recording:app:<<current-android-sdk-version>>-native'

πŸ“˜

Note that <<current-android-sdk-version>>-native uses AndroidX if you need to fallback to support please use the following:

implementation 'com.smartlook.recording:app:<<current-android-sdk-version>>-native-support'
  1. Add Smartlook Maven repository in your projects build.gradle:
allprojects {
  repositories {
    maven {
      url "https://sdk.smartlook.com/android/release"
    }
  }
}
  1. Setup and start Smartlook in onCreate() of your Application class:
class MyCustomApplication : Application() {
    override fun onCreate() {
        super.onCreate()
        Smartlook.setupAndStartRecording(YOUR_API_KEY)
    }
}
public class MyCustomApplication extends Application {
    @Override
    public void onCreate() {
        super.onCreate();
        Smartlook.setupAndStartRecording(YOUR_API_KEY);
    }
}

πŸ“˜

To setup Smartlook, the unique project API key is needed. It can be found in the mobile project settings in the Smartlook Dashboard.

  1. Smartlook now starts recording the app. The recordings will appear in the Smartlook player shortly.

πŸ“˜

SDK will upload sessions only on Wi-Fi. When uploading on mobile connections is requested, it must be enabled in the project settings in the dashboard. More details about the recording process can be found in the Conceptual documentation.

SDK update & migrations

1.8.0 migration

When updating the Smartlook SDK to 1.8.0 (or newer) from the older SDK version, some of the SDK imports may be broken. To fix this please follow the migration guide.